Bug 19654 - [x86_64] Need testcase for BZ #19590 fix
Summary: [x86_64] Need testcase for BZ #19590 fix
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: math (show other bugs)
Version: 2.24
: P2 normal
Target Milestone: 2.24
Assignee: Andrew Senkevich
URL:
Keywords:
Depends on: 19590
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 22:42 UTC by H.J. Lu
Modified: 2016-06-20 18:38 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2016-02-17 22:42:35 UTC
BZ #19590 is fixed without a testcse.
Comment 1 cvs-commit@gcc.gnu.org 2016-02-18 11:24:43 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, andros/pr19654 has been created
        at  db34c5c6c40092b433575378cb0c472c518e9757 (commit)

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=db34c5c6c40092b433575378cb0c472c518e9757

commit db34c5c6c40092b433575378cb0c472c518e9757
Author: Andrew Senkevich <andrew.senkevich@intel.com>
Date:   Thu Feb 18 14:17:51 2016 +0300

    Added tests to ensure link with *_finite aliases from libmvec (BZ #19654 fix).
    
    	[BZ #19654]
    	* sysdeps/x86_64/fpu/Makefile: Added new tests.
    	* sysdeps/x86_64/fpu/test-double-libmvec-alias-avx-main.c: New.
    	* sysdeps/x86_64/fpu/test-double-libmvec-alias-avx-mod.c: Likewise.
    	* sysdeps/x86_64/fpu/test-double-libmvec-alias-avx.c: Likewise.
    	* sysdeps/x86_64/fpu/test-double-libmvec-alias-avx2-main.c: Likewise.
    	* sysdeps/x86_64/fpu/test-double-libmvec-alias-avx2-mod.c: Likewise.
    	* sysdeps/x86_64/fpu/test-double-libmvec-alias-avx2.c: Likewise.
    	* sysdeps/x86_64/fpu/test-double-libmvec-alias-avx512-main.c: Likewise.
    	* sysdeps/x86_64/fpu/test-double-libmvec-alias-avx512-mod.c: Likewise.
    	* sysdeps/x86_64/fpu/test-double-libmvec-alias-avx512.c: Likewise.
    	* sysdeps/x86_64/fpu/test-double-libmvec-alias-main.c: Likewise.
    	* sysdeps/x86_64/fpu/test-double-libmvec-alias-mod.c: Likewise.
    	* sysdeps/x86_64/fpu/test-double-libmvec-alias.c: Likewise.
    	* sysdeps/x86_64/fpu/test-float-libmvec-alias-avx-main.c: Likewise.
    	* sysdeps/x86_64/fpu/test-float-libmvec-alias-avx-mod.c: Likewise.
    	* sysdeps/x86_64/fpu/test-float-libmvec-alias-avx.c: Likewise.
    	* sysdeps/x86_64/fpu/test-float-libmvec-alias-avx2-main.c: Likewise.
    	* sysdeps/x86_64/fpu/test-float-libmvec-alias-avx2-mod.c: Likewise.
    	* sysdeps/x86_64/fpu/test-float-libmvec-alias-avx2.c: Likewise.
    	* sysdeps/x86_64/fpu/test-float-libmvec-alias-avx512-main.c: Likewise.
    	* sysdeps/x86_64/fpu/test-float-libmvec-alias-avx512-mod.c: Likewise.
    	* sysdeps/x86_64/fpu/test-float-libmvec-alias-avx512.c: Likewise.
    	* sysdeps/x86_64/fpu/test-float-libmvec-alias-main.c: Likewise.
    	* sysdeps/x86_64/fpu/test-float-libmvec-alias-mod.c: Likewise.
    	* sysdeps/x86_64/fpu/test-float-libmvec-alias.c: Likewise.
    	* sysdeps/x86_64/fpu/test-libmvec-alias-mod.c: Likewise.

-----------------------------------------------------------------------
Comment 2 cvs-commit@gcc.gnu.org 2016-06-20 18:24:50 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  df2258c6cb4250e53f12b59785987c338b5cf396 (commit)
      from  58ec4fb881719d0b69989f9a4955290fca531831 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=df2258c6cb4250e53f12b59785987c338b5cf396

commit df2258c6cb4250e53f12b59785987c338b5cf396
Author: Andrew Senkevich <andrew.senkevich@intel.com>
Date:   Mon Jun 20 21:15:50 2016 +0300

    Added tests to ensure linkage through libmvec *_finite aliases which are
    defined in libmvec_nonshared.a (bug 19654).
    
        [BZ #19654]
        * sysdeps/x86_64/fpu/Makefile: Added new tests.
        * sysdeps/x86_64/fpu/test-double-libmvec-alias-avx-main.c: New.
        * sysdeps/x86_64/fpu/test-double-libmvec-alias-avx-mod.c: Likewise.
        * sysdeps/x86_64/fpu/test-double-libmvec-alias-avx.c: Likewise.
        * sysdeps/x86_64/fpu/test-double-libmvec-alias-avx2-main.c: Likewise.
        * sysdeps/x86_64/fpu/test-double-libmvec-alias-avx2-mod.c: Likewise.
        * sysdeps/x86_64/fpu/test-double-libmvec-alias-avx2.c: Likewise.
        * sysdeps/x86_64/fpu/test-double-libmvec-alias-avx512-main.c: Likewise.
        * sysdeps/x86_64/fpu/test-double-libmvec-alias-avx512-mod.c: Likewise.
        * sysdeps/x86_64/fpu/test-double-libmvec-alias-avx512.c: Likewise.
        * sysdeps/x86_64/fpu/test-double-libmvec-alias-main.c: Likewise.
        * sysdeps/x86_64/fpu/test-double-libmvec-alias-mod.c: Likewise.
        * sysdeps/x86_64/fpu/test-double-libmvec-alias.c: Likewise.
        * sysdeps/x86_64/fpu/test-float-libmvec-alias-avx-main.c: Likewise.
        * sysdeps/x86_64/fpu/test-float-libmvec-alias-avx-mod.c: Likewise.
        * sysdeps/x86_64/fpu/test-float-libmvec-alias-avx.c: Likewise.
        * sysdeps/x86_64/fpu/test-float-libmvec-alias-avx2-main.c: Likewise.
        * sysdeps/x86_64/fpu/test-float-libmvec-alias-avx2-mod.c: Likewise.
        * sysdeps/x86_64/fpu/test-float-libmvec-alias-avx2.c: Likewise.
        * sysdeps/x86_64/fpu/test-float-libmvec-alias-avx512-main.c: Likewise.
        * sysdeps/x86_64/fpu/test-float-libmvec-alias-avx512-mod.c: Likewise.
        * sysdeps/x86_64/fpu/test-float-libmvec-alias-avx512.c: Likewise.
        * sysdeps/x86_64/fpu/test-float-libmvec-alias-main.c: Likewise.
        * sysdeps/x86_64/fpu/test-float-libmvec-alias-mod.c: Likewise.
        * sysdeps/x86_64/fpu/test-float-libmvec-alias.c: Likewise.
        * sysdeps/x86_64/fpu/test-libmvec-alias-mod.c: Likewise.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                                          |   30 +++++
 sysdeps/x86_64/fpu/Makefile                        |  113 ++++++++++++++++++++
 .../fpu/test-double-libmvec-alias-avx-main.c       |    1 +
 .../x86_64/fpu/test-double-libmvec-alias-avx-mod.c |    1 +
 sysdeps/x86_64/fpu/test-double-libmvec-alias-avx.c |    1 +
 .../fpu/test-double-libmvec-alias-avx2-main.c      |    1 +
 .../fpu/test-double-libmvec-alias-avx2-mod.c       |    1 +
 .../x86_64/fpu/test-double-libmvec-alias-avx2.c    |    1 +
 .../fpu/test-double-libmvec-alias-avx512-main.c    |    1 +
 .../fpu/test-double-libmvec-alias-avx512-mod.c     |    1 +
 .../x86_64/fpu/test-double-libmvec-alias-avx512.c  |    1 +
 .../x86_64/fpu/test-double-libmvec-alias-main.c    |    1 +
 sysdeps/x86_64/fpu/test-double-libmvec-alias-mod.c |   25 +++++
 sysdeps/x86_64/fpu/test-double-libmvec-alias.c     |   29 +++++
 .../x86_64/fpu/test-float-libmvec-alias-avx-main.c |    1 +
 .../x86_64/fpu/test-float-libmvec-alias-avx-mod.c  |    1 +
 sysdeps/x86_64/fpu/test-float-libmvec-alias-avx.c  |    1 +
 .../fpu/test-float-libmvec-alias-avx2-main.c       |    1 +
 .../x86_64/fpu/test-float-libmvec-alias-avx2-mod.c |    1 +
 sysdeps/x86_64/fpu/test-float-libmvec-alias-avx2.c |    1 +
 .../fpu/test-float-libmvec-alias-avx512-main.c     |    1 +
 .../fpu/test-float-libmvec-alias-avx512-mod.c      |    1 +
 .../x86_64/fpu/test-float-libmvec-alias-avx512.c   |    1 +
 sysdeps/x86_64/fpu/test-float-libmvec-alias-main.c |    1 +
 sysdeps/x86_64/fpu/test-float-libmvec-alias-mod.c  |   25 +++++
 sysdeps/x86_64/fpu/test-float-libmvec-alias.c      |   29 +++++
 sysdeps/x86_64/fpu/test-libmvec-alias-mod.c        |   66 ++++++++++++
 27 files changed, 337 insertions(+), 0 deletions(-)
 create mode 100644 sysdeps/x86_64/fpu/test-double-libmvec-alias-avx-main.c
 create mode 100644 sysdeps/x86_64/fpu/test-double-libmvec-alias-avx-mod.c
 create mode 100644 sysdeps/x86_64/fpu/test-double-libmvec-alias-avx.c
 create mode 100644 sysdeps/x86_64/fpu/test-double-libmvec-alias-avx2-main.c
 create mode 100644 sysdeps/x86_64/fpu/test-double-libmvec-alias-avx2-mod.c
 create mode 100644 sysdeps/x86_64/fpu/test-double-libmvec-alias-avx2.c
 create mode 100644 sysdeps/x86_64/fpu/test-double-libmvec-alias-avx512-main.c
 create mode 100644 sysdeps/x86_64/fpu/test-double-libmvec-alias-avx512-mod.c
 create mode 100644 sysdeps/x86_64/fpu/test-double-libmvec-alias-avx512.c
 create mode 100644 sysdeps/x86_64/fpu/test-double-libmvec-alias-main.c
 create mode 100644 sysdeps/x86_64/fpu/test-double-libmvec-alias-mod.c
 create mode 100644 sysdeps/x86_64/fpu/test-double-libmvec-alias.c
 create mode 100644 sysdeps/x86_64/fpu/test-float-libmvec-alias-avx-main.c
 create mode 100644 sysdeps/x86_64/fpu/test-float-libmvec-alias-avx-mod.c
 create mode 100644 sysdeps/x86_64/fpu/test-float-libmvec-alias-avx.c
 create mode 100644 sysdeps/x86_64/fpu/test-float-libmvec-alias-avx2-main.c
 create mode 100644 sysdeps/x86_64/fpu/test-float-libmvec-alias-avx2-mod.c
 create mode 100644 sysdeps/x86_64/fpu/test-float-libmvec-alias-avx2.c
 create mode 100644 sysdeps/x86_64/fpu/test-float-libmvec-alias-avx512-main.c
 create mode 100644 sysdeps/x86_64/fpu/test-float-libmvec-alias-avx512-mod.c
 create mode 100644 sysdeps/x86_64/fpu/test-float-libmvec-alias-avx512.c
 create mode 100644 sysdeps/x86_64/fpu/test-float-libmvec-alias-main.c
 create mode 100644 sysdeps/x86_64/fpu/test-float-libmvec-alias-mod.c
 create mode 100644 sysdeps/x86_64/fpu/test-float-libmvec-alias.c
 create mode 100644 sysdeps/x86_64/fpu/test-libmvec-alias-mod.c
Comment 3 Andrew Senkevich 2016-06-20 18:38:05 UTC
Fixed.